Bug 577033 - Obfuscate the password to the RHQ database as stored on the filesystem
Summary: Obfuscate the password to the RHQ database as stored on the filesystem
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: No Component
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent vote
Target Milestone: ---
: ---
Assignee: RHQ Project Maintainer
QA Contact: Corey Welton
URL:
Whiteboard:
Depends On: RHQ-227 579529 579824 589351
Blocks: jon24-features
TreeView+ depends on / blocked
 
Reported: 2010-03-25 21:44 UTC by Charles Crouch
Modified: 2015-02-01 23:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-04 14:06:51 UTC


Attachments (Terms of Use)

Description Charles Crouch 2010-03-25 21:44:14 UTC
Right now we store the password the RHQ Server uses to connect its database in clear text in rhq-server.properties. We should move to obfuscate this using the standard process for jboss as datasources.

Things to do:
-Do the development for this change for both new and upgrading users
-Doc this change, and any impact on people upgrading from unobfuscated to obfuscated versions
-QE new and upgraded servers, plus test the scripts for when the db password changes and a user has to update the password after install.

Comment 3 Corey Welton 2010-08-04 14:06:51 UTC
Closing these trackers.


Note You need to log in before you can comment on or make changes to this bug.